Bug 698202 - Changing ifcfg-eth0 and saving is sometimes acted upon and sometimes not.
Summary: Changing ifcfg-eth0 and saving is sometimes acted upon and sometimes not.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-20 12:37 UTC by Ales Kozumplik
Modified: 2014-09-30 23:40 UTC (History)
4 users (show)

Fixed In Version: NetworkManager-0.8.998-4.git20110427.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-03 04:47:05 UTC


Attachments (Terms of Use)
syslog (100.06 KB, text/plain)
2011-04-20 12:40 UTC, Ales Kozumplik
no flags Details

Description Ales Kozumplik 2011-04-20 12:37:59 UTC
Description of problem:

I have this reproduced with systemd+anaconda, hard to tell if it manifests elsewhere. Also showed this to jklimes who confirmed this looks weird.

Steps to Reproduce:
1. let networkmanger activate a network device with
ONBOOT=yes
NM_CONTROLLED=yes
BOOTPROTO=dhcp
2. comment out BOOTPROTO, and set ONBOOT and NM_CONTROLLED to "no"
3. observe via 'ip addr' the device went down
4. change the file back, that is uncomment BOOTPROTO and give yes to ONBOOT and NM_CONTROLLED. save the file once
  
Actual results:
there's a log message in syslog saying 'ifcfg-rh: parsing ...', but the device is not brought up.

Expected results:
the device is configured via dhcp

Additional info:
It is sufficient at this stage to open the file in vim and just save it again with ':w' to trigger NM to bring the device up.

Comment 1 Ales Kozumplik 2011-04-20 12:40:25 UTC
Created attachment 493471 [details]
syslog

syslog

Comment 2 Jirka Klimes 2011-04-20 17:02:36 UTC
This is a regression in NM 0.9. I've tested that on F14 (NetworkManager-0.8.3.998-2.fc14.x86_64) and there's no such problem.

Upstream fix:
e30287aa84c30454b97f630d86029cdd68086ead (master)

Comment 3 Fedora Update System 2011-04-28 00:13:42 UTC
NetworkManager-0.8.998-4.git20110427.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-4.git20110427.fc15

Comment 4 Fedora Update System 2011-04-28 19:02:35 UTC
Package NetworkManager-0.8.998-4.git20110427.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.998-4.git20110427.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-4.git20110427.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-05-03 04:46:56 UTC
NetworkManager-0.8.998-4.git20110427.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.